package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserFileInfo;


/**
*  service接口类
*/
public interface UserFileInfoService{

    List<UserFileInfo> getUserFileInfoList(UserFileInfo record);

    List<UserFileInfo> getUserFileInfoByPage(Page page, UserFileInfo record);

    UserFileInfo getUserFileInfoById(String id);

    UserFileInfo getUserFileInfo(UserFileInfo record);

    boolean createUserFileInfo(UserFileInfo record);

    boolean deleteUserFileInfo(UserFileInfo record);

    boolean updateUserFileInfo(UserFileInfo record);
}

